Deactivate Integration for Restaurant

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.lsk.lightspeed.app/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Lightspeed Restaurant K-Series MCP server": {
  "url": "https://api-docs.lsk.lightspeed.app/mcp"
}
Close
POST /reservation/api/1/user/platform/{platform-code}/integration/deactivate

Deactivate the integration between the K-Series business location and the external reservation platform.

Path parameters

  • platform-code string Required

    The unique code assigned to the reservation platform.

    Maximum length is 11. Format should match the following pattern: [a-zA-Z0-9_-]+.

application/json

Body Required

  • businessLocationId integer(int64) Required

    The unique identifier of the business location.

  • platformRestaurantId string Required

    The external platform's unique identifier for the restaurant.

    Format should match the following pattern: [a-zA-Z0-9_-]+.

Responses

  • 200

    Accepted

  • 400

    Non relevant request

  • 403

    Access token not relevant for the businessLocation, use authorization-code

  • 404

    Platform not found

POST /reservation/api/1/user/platform/{platform-code}/integration/deactivate
curl \
 --request POST 'https://api.trial.lsk.lightspeed.app/reservation/api/1/user/platform/MyPlatform/integration/deactivate' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"businessLocationId":9765040300495493,"platformRestaurantId":"Restaurant-123"}'
Request examples
{
  "businessLocationId": 9765040300495493,
  "platformRestaurantId": "Restaurant-123"
}